Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# celllayout.hh File Reference

A GtkCellLayout C++ wrapper interface. More...

`#include <xfc/stackobject.hh>`
`#include <xfc/glib/type.hh>`
`#include <gtk/gtkcelllayout.h>`
`#include <vector>`
`#include <xfc/gtk/inline/celllayout.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::CellColumnAttributes
    A C++ wrapper for setting multiple attributes on a column of cells. More...
- class Xfc::Gtk::CellLayout
    A GtkCellLayout C++ wrapper class. More...

## Detailed Description

A GtkCellLayout C++ wrapper interface.

Provides CellLayout, an interface implemented by all objects which want to provide a Gtk::TreeViewColumn-like API for packing cells, setting attributes and data funcs.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3